apply from: rootProject.file("cc-settings.gradle")

android {
    compileSdkVersion rootProject.ext.android["compileSdkVersion"]

    compileOptions {
        targetCompatibility JavaVersion.VERSION_1_8
        sourceCompatibility JavaVersion.VERSION_1_8
    }

    defaultConfig {
        minSdkVersion rootProject.ext.android["minSdkVersion"]
        targetSdkVersion rootProject.ext.android["targetSdkVersion"]
        if (project.ext.runAsApp) {
            applicationId 'com.gingersoft.gsa.cloud.user.login'
        }
        versionCode rootProject.ext.android["versionCode"]
        versionName rootProject.ext.android["versionName"]
    }

    resourcePrefix "user_login"


    buildTypes {
        release {
            postprocessing {
                removeUnusedCode false
                removeUnusedResources false
                obfuscate false
                optimizeCode false
                proguardFiles 'proguard.cfg'
            }
        }
    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
//    implementation project(':arms')
    implementation rootProject.ext.dependencies["arms"]
    implementation project(path: ':public-base')


    implementation rootProject.ext.dependencies["constraintlayout"]
    implementation rootProject.ext.dependencies["retrofit-url-manager"]

//    annotationProcessor rootProject.ext.dependencies["butterknife-compiler"] //Butterknife 插件, 很多人因为没加这个而报错, 切记!!!
    annotationProcessor rootProject.ext.dependencies["dagger2-compiler"]//依赖插件
    implementation rootProject.ext.dependencies["autosize"]
}
